i18nParser internationalization automation for the tfyh PHP framework.
This will parse PHP code and configuration files for Strings which need translation
and replace them by an i18n resource reference. Existing references are kept.
All Strings which need translation are given a unique token and put to a catalogue.
When stored, the catalogue updates a set of language resource files used by the PHP
code to load the message in the configured translation, based on the token.
All output is UTF-8 encoded and all console messages stored in '/var/www/html/i18n/last_i18n_run.log'

Options: -php or -js for code files, -cfg for config files, -clr for cleansing backup files
I18nTranslationsCatalogue started.
The catalogue format is csv using ';' and '"'. The language resource files are plain
with resources represented by a token, a pipe and as many lines as needed per resource
following which start with a single pipe followed by the resource text.
The catalogue always grows. If you want to remove unused text resources you have to do
that manually.

I18nTranslationsCatalogue: loading from '/var/www/html/tfyh_common/i18n/catalogue.csv'.
Languages detected: en, de, fr, it, nl, 
12134 translation resource items loaded.
I18nCodeParser started.
While parsing it will replace all first String arguments by an 'i18n resource reference'.
And all html snippets are replaced by a '<?= $i18n->t(...) ?>' PHP code line in which the ...
also represent an 'i18n resource reference'. That replaces all text which shall be
echoed to the web user by such a reference.
All such code parts will be added to the i18n resource catalogue..

I18nCodeParser: cleansing directory '/var/www/html/js_01'.
I18nCodeParser: parsing directory '/var/www/html/js_01'.
I18nCodeParser: parsing file '/var/www/html/js_01/tfyhI18n.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/tfyhModal.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/ConfigPanel.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/tfyhDataItem.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/tfyhAutocomplete.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/InputValidator.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/dilboTxQueue.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/FormHandler.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/dilboMain.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/tfyhValidate.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/tfyhConfigItem.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/tfyhForm.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/tfyhConfig.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/dilboFormTemplates.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/tfyhToolbox.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/dilboUIprovider.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/dilboTables.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/tfyhDialog.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/tfyhData.js'.
I18nCodeParser: parsing file '/var/www/html/js_01/Container.js'.
Totalling html: 0, identifier: 2640, stringLiteral: 959, formTemplate: 12, jsRegex: 59, numberLiteral: 86, operator: 33, delimiter: 8, comment: 1249, 
I18nCodeParser: cleansing directory '/var/www/html/classes'.
I18nCodeParser: parsing directory '/var/www/html/classes'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_pivot_table.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_menu.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_app_sessions.php'.
I18nCodeParser: parsing file '/var/www/html/classes/cron_jobs.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_form.php'.
I18nCodeParser: parsing file '/var/www/html/classes/dilbo_info.php'.
I18nCodeParser: parsing file '/var/www/html/classes/dilbo_db_trigger.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_list.php'.
I18nCodeParser: parsing file '/var/www/html/classes/dilbo_record.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_socket.php'.
I18nCodeParser: parsing file '/var/www/html/classes/dilbo_tx_handler.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_mail_handler.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_backup_handler.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_cron_jobs.php'.
I18nCodeParser: parsing file '/var/www/html/classes/init_i18n.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_statistics.php'.
I18nCodeParser: parsing file '/var/www/html/classes/dilbo_api.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_xml_tag.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_config_item.php'.
I18nCodeParser: parsing file '/var/www/html/classes/efa_import_export.php'.
I18nCodeParser: parsing file '/var/www/html/classes/dilbo_notifier.php'.
I18nCodeParser: parsing file '/var/www/html/classes/init_version.php'.
I18nCodeParser: parsing file '/var/www/html/classes/init_socket.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_toolbox.php'.
I18nCodeParser: parsing file '/var/www/html/classes/init.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_gallery.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_token_handler.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_word_index.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_xml.php'.
I18nCodeParser: parsing file '/var/www/html/classes/dilbo_logbook.php'.
I18nCodeParser: parsing file '/var/www/html/classes/pdf.php'.
I18nCodeParser: parsing file '/var/www/html/classes/sec_concept.php'.
I18nCodeParser: parsing file '/var/www/html/classes/pdf_adapted.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_logger.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_audit.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_data.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_data_item.php'.
I18nCodeParser: parsing file '/var/www/html/classes/dilbo_config.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_db_setup.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_config.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_user.php'.
I18nCodeParser: parsing file '/var/www/html/classes/dilbo_uuids.php'.
I18nCodeParser: parsing file '/var/www/html/classes/users.php'.
I18nCodeParser: parsing file '/var/www/html/classes/tfyh_validate.php'.
Totalling html: 0, identifier: 5401, stringLiteral: 3563, formTemplate: 12, jsRegex: 59, numberLiteral: 156, operator: 38, delimiter: 8, comment: 3187, 
I18nCodeParser: cleansing directory '/var/www/html/forms'.
I18nCodeParser: parsing directory '/var/www/html/forms'.
I18nCodeParser: parsing file '/var/www/html/forms/mails_nachlesen.php'.
I18nCodeParser: parsing file '/var/www/html/forms/edit_record.php'.
I18nCodeParser: parsing file '/var/www/html/forms/mail_versenden.php'.
I18nCodeParser: parsing file '/var/www/html/forms/efa_backup_importieren.php'.
I18nCodeParser: parsing file '/var/www/html/forms/logo_hochladen.php'.
I18nCodeParser: parsing file '/var/www/html/forms/nutzer_aendern.php'.
I18nCodeParser: parsing file '/var/www/html/forms/find_record.php'.
I18nCodeParser: parsing file '/var/www/html/forms/login.php'.
I18nCodeParser: parsing file '/var/www/html/forms/farben_aendern.php'.
I18nCodeParser: parsing file '/var/www/html/forms/support.php'.
I18nCodeParser: parsing file '/var/www/html/forms/find_user.php'.
I18nCodeParser: parsing file '/var/www/html/forms/reset_password.php'.
I18nCodeParser: parsing file '/var/www/html/forms/profil_aendern.php'.
I18nCodeParser: parsing file '/var/www/html/forms/tabelle_importieren.php'.
I18nCodeParser: parsing file '/var/www/html/forms/jsPost.php'.
I18nCodeParser: parsing file '/var/www/html/forms/dateiablage.php'.
I18nCodeParser: parsing file '/var/www/html/forms/configparameter_aendern.php'.
Totalling html: 0, identifier: 5564, stringLiteral: 4003, formTemplate: 12, jsRegex: 59, numberLiteral: 158, operator: 38, delimiter: 8, comment: 3453, 
I18nCodeParser: cleansing directory '/var/www/html/pages'.
I18nCodeParser: parsing directory '/var/www/html/pages'.
I18nCodeParser: parsing file '/var/www/html/pages/upgrade.php'.
I18nCodeParser: parsing file '/var/www/html/pages/show_lists.php'.
I18nCodeParser: parsing file '/var/www/html/pages/nutzer_profil.php'.
I18nCodeParser: parsing file '/var/www/html/pages/jsGet.php'.
I18nCodeParser: parsing file '/var/www/html/pages/show_actions.php'.
I18nCodeParser: parsing file '/var/www/html/pages/view_archive_record.php'.
I18nCodeParser: parsing file '/var/www/html/pages/config.php'.
I18nCodeParser: parsing file '/var/www/html/pages/view_trash_record.php'.
I18nCodeParser: parsing file '/var/www/html/pages/help.php'.
I18nCodeParser: parsing file '/var/www/html/pages/show_history.php'.
I18nCodeParser: parsing file '/var/www/html/pages/db_reset.php'.
I18nCodeParser: parsing file '/var/www/html/pages/db_audit.php'.
I18nCodeParser: parsing file '/var/www/html/pages/admin_home.php'.
I18nCodeParser: parsing file '/var/www/html/pages/construction.php'.
I18nCodeParser: parsing file '/var/www/html/pages/show_logs.php'.
I18nCodeParser: parsing file '/var/www/html/pages/logout.php'.
I18nCodeParser: parsing file '/var/www/html/pages/show_tables.php'.
I18nCodeParser: parsing file '/var/www/html/_pages/viewRecord.php'.
Replaced i18n message by resource with token 't3k8Xe'
i18n message was: 'Data record display for the table '%1''
/var/www/html/_pages/viewRecord.php was saved to disc.
I18nCodeParser: parsing file '/var/www/html/pages/mein_profil.php'.
I18nCodeParser: parsing file '/var/www/html/pages/home.php'.
I18nCodeParser: parsing file '/var/www/html/pages/run_cronjobs.php'.
I18nCodeParser: parsing file '/var/www/html/pages/operations_tasks.php'.
I18nCodeParser: parsing file '/var/www/html/pages/sec_concept.php'.
I18nCodeParser: parsing file '/var/www/html/pages/show_changes.php'.
I18nCodeParser: parsing file '/var/www/html/pages/datenstruktur.php'.
I18nCodeParser: parsing file '/var/www/html/pages/error.php'.
I18nCodeParser: parsing file '/var/www/html/pages/alle_berechtigungen.php'.
Totalling html: 0, identifier: 5715, stringLiteral: 4450, formTemplate: 12, jsRegex: 59, numberLiteral: 159, operator: 38, delimiter: 8, comment: 3557, 
I18nCodeParser: cleansing directory '/var/www/html/public'.
I18nCodeParser: parsing directory '/var/www/html/public'.
I18nCodeParser: parsing file '/var/www/html/public/phpinfo.php'.
I18nCodeParser: parsing file '/var/www/html/public/maintenance.php'.
I18nCodeParser: parsing file '/var/www/html/public/impressum.php'.
I18nCodeParser: parsing file '/var/www/html/public/index.php'.
I18nCodeParser: parsing file '/var/www/html/public/datenschutz.php'.
Totalling html: 0, identifier: 5716, stringLiteral: 4459, formTemplate: 12, jsRegex: 59, numberLiteral: 159, operator: 38, delimiter: 8, comment: 3559, 
I18nConfigParser started.
While parsing it will replace all relevant text entries in the configuration
files in the access, layouts and lists directories by an i18n resource reference.
All such code parts will be added to the i18n resource catalogue..

I18nCodeParser: cleansing directory '/var/www/html/config/access'.
I18nConfigParser: parsing directory '/var/www/html/config/access'.
I18nConfigParser: parsing file '/var/www/html/config/access/api'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/access/imenu'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/access/wmenu'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/access/pmenu'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nCodeParser: cleansing directory '/var/www/html/config/access'.
I18nConfigParser: parsing directory '/var/www/html/config/access'.
I18nConfigParser: parsing file '/var/www/html/config/access/concessions'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/access/workflows'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nCodeParser: cleansing directory '/var/www/html/config/layouts'.
I18nConfigParser: parsing directory '/var/www/html/config/layouts'.
I18nConfigParser: parsing file '/var/www/html/config/layouts/logo_hochladen'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/layouts/login'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/layouts/nutzer_aendern'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/layouts/login_2'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/layouts/support'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/layouts/find_record'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/layouts/efa_backup_importieren'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/layouts/nutzer_finden'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/layouts/profil_aendern'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nCodeParser: cleansing directory '/var/www/html/config/lists'.
I18nConfigParser: parsing directory '/var/www/html/config/lists'.
I18nConfigParser: parsing file '/var/www/html/config/lists/dilboWeb'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/lists/mailverteiler'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/lists/statistics'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/lists/movedAway'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/lists/analyse'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/lists/uuid2names'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/lists/verwalten'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/lists/mailverteiler_lesen'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nCodeParser: cleansing directory '/var/www/html/config'.
I18nConfigParser: parsing directory '/var/www/html/config'.
I18nCodeParser: cleansing directory '/var/www/html/config/settings'.
I18nConfigParser: parsing directory '/var/www/html/config/settings'.
I18nConfigParser: parsing file '/var/www/html/config/settings/efa2tables'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/descriptor'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/efa2import'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/framework'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/uiSettings'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/efa2objects'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/dbSettings'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/_defaults'.
/var/www/html/config/settings/_defaults: File not found, empty or access denied.
I18nConfigParser: parsing file '/var/www/html/config/settings/efaCloudTables'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/clubSettings'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/appTables'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/dataTypes'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/appSettings'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
I18nConfigParser: parsing file '/var/www/html/config/settings/appObjects'.
Replaced in total: menu: 0, flags: 0, layout: 0, list: 0, tfyhSettings: 0, settings: 0, 
/var/www/html/tfyh_common/i18n/occurrences.csv was saved to disc.
I18nCodeParser: cleansing directory '/var/www/html/tfyh_common/i18n/catalogue.csv'.
/var/www/html/tfyh_common/i18n/catalogue.csv was saved to disc.
/var/www/html/i18n/en.lrf was saved to disc.
/var/www/html/i18n/de.lrf was saved to disc.
/var/www/html/i18n/fr.lrf was saved to disc.
/var/www/html/i18n/it.lrf was saved to disc.
/var/www/html/i18n/nl.lrf was saved to disc.
